Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 186095 - Empty indexes should be excluded from IO operations
Empty indexes should be excluded from IO operations
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
PC Mac OS X
: P3 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@editor
:
Depends on:
Blocks: 177274
  Show dependency treegraph
 
Reported: 2010-05-13 12:55 UTC by Tomas Zezula
Modified: 2010-05-19 06:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2010-05-13 12:55:04 UTC
The JavaScriptTypeProvider registers itself for each source root while in most situations (in my case everytime) there is no java script file. The parsing API should not do any IO on empty indexes, except of first time to find out that index is empty.
Comment 1 Tomas Zezula 2010-05-13 13:18:04 UTC
fixed in jet-main 386d94ccfd44
Comment 2 Quality Engineering 2010-05-17 15:32:15 UTC
Integrated into 'main-golden', will be available in build *201005170932* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:
Comment 3 Quality Engineering 2010-05-19 06:18:43 UTC
Integrated into 'main-golden', will be available in build *201005182201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo